
ChiliProject - Bug # 1144: configuration.yml.example is broken

Status: Closed Priority: Normal
Author: Gordon Anderson Category:
Created: 2012-09-13 Assignee: Holger Just
Updated: 2012-09-15 Due date:
Remote issue URL:
Affected version: 2.7.3
Description: I ran into an issue where I could not get mail configuration to work, even though the file was there.  After much 

reading of Redmine bug reports, I eventually found the culprit.  There are 2 sections marked 'production' in the 
YAML file, and the second one, which is empty, overwrites the first.  I found this issue with 2.7.3, the same 
issue does *not* occur with 2.6.0, and I was using an identical configuration.yml file.

Suggested fix is to remove the empty production: section

Associated revisions
2012-09-14 10:27 pm - Holger Just 
Make the commented configuration.yml.example more approachable #1144

History
2012-09-13 07:00 pm - Holger Just
If you look closely, you will notice that on the start of the file, the @production@ is commented. This might indeed a bit confusing but we have only one 
actually defined production environment in this file.

To mitigate this, I'd propose to remove the email examples and to point users to [[Configuration File]] and especially [[Email Delivery]]. This would leave 
the default section fully documented with all available options. And would still allow people to override specific options for some environments.

2012-09-14 07:46 pm - Gordon Anderson
hi Holger

Re-reading I realize that you are correct, and I had realised this after I posted it.  I guess the confusing thing for me was that the same configuration 
used to work, and it was only after googling error messages that I discovered the cause of the apparently missing email configuration.  Your suggestion 
does seem sensible.

Cheers, and thanks for the feedback :)

Gordon

2012-09-14 08:29 pm - Holger Just
- Assignee set to Holger Just

A default configuration.yml in "this 
format":https://github.com/meineerde/chiliproject/blob/issues/233-configuration-rewrite-rewritten/config/configuration.yml.example is probably a good 
idea.

2012-09-14 10:31 pm - Holger Just
- Status changed from Open to Closed

- Target version set to 3.4.0
In commit:003fc93 I pushed a much more approachable and better commented version of the @configuration.yml.example@.

2012-09-15 04:02 pm - Gordon Anderson
Many thanks, hopefully it will save someone time in future :)
